Subject: RE: [Isis-wg] IS-IS MIB

From: Jeff Parker <[email-masked]>
Date: Fri, 24 May 2002 13:59:56 -0400

> >	An agent may not be able to satisfy a get request
> >for the LSA object?  Is this due to a small SNMP buffer 
> >size and the lack of a defined way to fragment payload?
> 
> Yes.

> One thought is to define L1 and L2 LSP Header tables
> indexed by LSPID. These tables would contain only LSP header
> information in small, fixed-sized objects and provide a 
> summary of the LSP
> database. I think this, by itself, is useful. 

An index of the 8 byte LSPID and the sequence number 
should do the trick.  The sequence number addresses
the issue you raise below in almost all cases.  (the
corner case is when a router reboots, and issues
a new version of an LSP that is still in circulation.
This is a transitory event) 
 
> For viewing the contents of LSPs, a second set of tables is 
> defined which
> contains, as row entries, the TLVs belonging to an LSP. If TLV
> order is not important, the table index could be LSPID, TLV 
> Type, Index
> where Index is the instance of the TLV type in the LSP. 
> 
> TLV entries should be manageable by SNMP. The drawback is that
> you don't get a snapshot of the complete LSP contents in one 
> SNMP request,
> so it is possible that the collection of TLVs returned reflect some
> transitional state between an old and new LSP instance.
> Does this scheme sound reasonable?
> 
> -Dan

I'm uncomfortable with splitting an LSP into unordered
components, though I don't have a compelling argument.

- jeff
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg